import { InputDatePickerComponent, InputTextComponent } from '@colijnit/corecomponents_v12';
import { TransactionInputHeaderFieldBaseComponent } from '../core/base/transaction-input-header-field-base.component';
export declare class TransactionHeaderPreferredDeliveryTimeComponent extends TransactionInputHeaderFieldBaseComponent {
    deliveryTime: InputTextComponent;
    input: InputDatePickerComponent;
    option: string;
    startTimeForOrder(): string;
    handleDeliveryTimeChange(): Promise<boolean>;
    handleDateChange(text: string): Date;
}
